For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • holidays.rest API
    • Introduction
    • GETcountries
    • GETcountry
    • GETlanguages
    • GETholidays
LogoLogo

holidays

||View as Markdown|
GET
https://api.holidays.rest/v1/holidays
GET
/v1/holidays
$curl https://api.holidays.rest/v1/holidays \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "country_code": "DE",
4 "country_name": "Germany",
5 "date": "2026-01-01",
6 "name": {
7 "de": "Neujahr",
8 "en": "New Year's Day",
9 "tr": "Yılbaşı"
10 },
11 "isNational": true,
12 "isReligious": false,
13 "isLocal": false,
14 "isEstimate": false,
15 "day": {
16 "actual": "Thursday",
17 "observed": "Thursday"
18 },
19 "religion": "",
20 "regions": []
21 },
22 {
23 "country_code": "DE",
24 "country_name": "Germany",
25 "date": "2026-01-06",
26 "name": {
27 "de": "Epiphanie",
28 "en": "Epiphany",
29 "tr": "Epifani"
30 },
31 "isNational": false,
32 "isReligious": true,
33 "isLocal": true,
34 "isEstimate": false,
35 "day": {
36 "actual": "Tuesday",
37 "observed": "Tuesday"
38 },
39 "religion": "Christianity",
40 "regions": [
41 "BW",
42 "BY",
43 "ST"
44 ]
45 },
46 {
47 "country_code": "DE",
48 "country_name": "Germany",
49 "date": "2026-03-08",
50 "name": {
51 "de": "Internationaler Frauentag",
52 "en": "International Women's Day",
53 "tr": "Dünya Kadınlar Günü"
54 },
55 "isNational": false,
56 "isReligious": false,
57 "isLocal": true,
58 "isEstimate": false,
59 "day": {
60 "actual": "Sunday",
61 "observed": "Sunday"
62 },
63 "religion": "",
64 "regions": [
65 "BE",
66 "MV"
67 ]
68 },
69 {
70 "country_code": "DE",
71 "country_name": "Germany",
72 "date": "2026-04-03",
73 "name": {
74 "de": "Karfreitag",
75 "en": "Good Friday",
76 "tr": "Kutsal Cuma"
77 },
78 "isNational": true,
79 "isReligious": true,
80 "isLocal": false,
81 "isEstimate": false,
82 "day": {
83 "actual": "Friday",
84 "observed": "Friday"
85 },
86 "religion": "Christianity",
87 "regions": []
88 },
89 {
90 "country_code": "DE",
91 "country_name": "Germany",
92 "date": "2026-04-05",
93 "name": {
94 "de": "Ostersonntag",
95 "en": "Easter Sunday",
96 "tr": "Paskalya Pazarı"
97 },
98 "isNational": false,
99 "isReligious": true,
100 "isLocal": true,
101 "isEstimate": false,
102 "day": {
103 "actual": "Sunday",
104 "observed": "Sunday"
105 },
106 "religion": "Christianity",
107 "regions": [
108 "BB"
109 ]
110 },
111 {
112 "country_code": "DE",
113 "country_name": "Germany",
114 "date": "2026-04-06",
115 "name": {
116 "de": "Ostermontag",
117 "en": "Easter Monday",
118 "tr": "Paskalya Pazartesisi"
119 },
120 "isNational": true,
121 "isReligious": true,
122 "isLocal": false,
123 "isEstimate": false,
124 "day": {
125 "actual": "Monday",
126 "observed": "Monday"
127 },
128 "religion": "Christianity",
129 "regions": []
130 },
131 {
132 "country_code": "DE",
133 "country_name": "Germany",
134 "date": "2026-05-01",
135 "name": {
136 "de": "Tag der Arbeit",
137 "en": "Labour Day",
138 "tr": "İşçi Bayramı"
139 },
140 "isNational": true,
141 "isReligious": false,
142 "isLocal": false,
143 "isEstimate": false,
144 "day": {
145 "actual": "Friday",
146 "observed": "Friday"
147 },
148 "religion": "",
149 "regions": []
150 },
151 {
152 "country_code": "DE",
153 "country_name": "Germany",
154 "date": "2026-05-14",
155 "name": {
156 "de": "Christi Himmelfahrt",
157 "en": "Ascension Day",
158 "tr": "İsa'nın Göğe Yükselişi"
159 },
160 "isNational": true,
161 "isReligious": true,
162 "isLocal": false,
163 "isEstimate": false,
164 "day": {
165 "actual": "Thursday",
166 "observed": "Thursday"
167 },
168 "religion": "Christianity",
169 "regions": []
170 },
171 {
172 "country_code": "DE",
173 "country_name": "Germany",
174 "date": "2026-05-24",
175 "name": {
176 "de": "Pfingstsonntag",
177 "en": "Whit Sunday",
178 "tr": "Beyaz Pazar"
179 },
180 "isNational": false,
181 "isReligious": true,
182 "isLocal": true,
183 "isEstimate": false,
184 "day": {
185 "actual": "Sunday",
186 "observed": "Sunday"
187 },
188 "religion": "Christianity",
189 "regions": [
190 "BB"
191 ]
192 },
193 {
194 "country_code": "DE",
195 "country_name": "Germany",
196 "date": "2026-05-25",
197 "name": {
198 "de": "Pfingstmontag",
199 "en": "Whit Monday",
200 "tr": "Beyaz Pazartesi"
201 },
202 "isNational": true,
203 "isReligious": true,
204 "isLocal": false,
205 "isEstimate": false,
206 "day": {
207 "actual": "Monday",
208 "observed": "Monday"
209 },
210 "religion": "Christianity",
211 "regions": []
212 },
213 {
214 "country_code": "DE",
215 "country_name": "Germany",
216 "date": "2026-06-04",
217 "name": {
218 "de": "Fronleichnam",
219 "en": "Corpus Christi",
220 "tr": "Katolik Yortusu"
221 },
222 "isNational": false,
223 "isReligious": true,
224 "isLocal": true,
225 "isEstimate": false,
226 "day": {
227 "actual": "Thursday",
228 "observed": "Thursday"
229 },
230 "religion": "Christianity",
231 "regions": [
232 "BW",
233 "BY",
234 "HE",
235 "NW",
236 "RP",
237 "SL"
238 ]
239 },
240 {
241 "country_code": "DE",
242 "country_name": "Germany",
243 "date": "2026-08-15",
244 "name": {
245 "de": "MariƤ Himmelfahrt",
246 "en": "Assumption Day",
247 "tr": "Meryem'in Göğe Yükselişi"
248 },
249 "isNational": false,
250 "isReligious": true,
251 "isLocal": true,
252 "isEstimate": false,
253 "day": {
254 "actual": "Saturday",
255 "observed": "Saturday"
256 },
257 "religion": "Christianity",
258 "regions": [
259 "BY",
260 "SL"
261 ]
262 },
263 {
264 "country_code": "DE",
265 "country_name": "Germany",
266 "date": "2026-09-20",
267 "name": {
268 "de": "Weltkindertag",
269 "en": "World Children's Day",
270 "tr": "Dünya Ƈocuk Günü"
271 },
272 "isNational": false,
273 "isReligious": false,
274 "isLocal": true,
275 "isEstimate": false,
276 "day": {
277 "actual": "Sunday",
278 "observed": "Sunday"
279 },
280 "religion": "",
281 "regions": [
282 "TH"
283 ]
284 },
285 {
286 "country_code": "DE",
287 "country_name": "Germany",
288 "date": "2026-10-03",
289 "name": {
290 "de": "Tag der Deutschen Einheit",
291 "en": "German Unity Day",
292 "tr": "Alman Birlik Günü"
293 },
294 "isNational": true,
295 "isReligious": false,
296 "isLocal": false,
297 "isEstimate": false,
298 "day": {
299 "actual": "Saturday",
300 "observed": "Saturday"
301 },
302 "religion": "",
303 "regions": []
304 },
305 {
306 "country_code": "DE",
307 "country_name": "Germany",
308 "date": "2026-10-31",
309 "name": {
310 "de": "Reformationstag",
311 "en": "Reformation Day",
312 "tr": "Reformasyon Günü"
313 },
314 "isNational": false,
315 "isReligious": true,
316 "isLocal": true,
317 "isEstimate": false,
318 "day": {
319 "actual": "Saturday",
320 "observed": "Saturday"
321 },
322 "religion": "Christianity",
323 "regions": [
324 "BB",
325 "HB",
326 "HH",
327 "NI",
328 "MV",
329 "SN",
330 "ST",
331 "SH",
332 "TH"
333 ]
334 },
335 {
336 "country_code": "DE",
337 "country_name": "Germany",
338 "date": "2026-11-01",
339 "name": {
340 "de": "Allerheiligen",
341 "en": "All Saints' Day",
342 "tr": "Azizler Günü"
343 },
344 "isNational": false,
345 "isReligious": true,
346 "isLocal": true,
347 "isEstimate": false,
348 "day": {
349 "actual": "Sunday",
350 "observed": "Sunday"
351 },
352 "religion": "Christianity",
353 "regions": [
354 "BW",
355 "BY",
356 "NW",
357 "RP",
358 "SL"
359 ]
360 },
361 {
362 "country_code": "DE",
363 "country_name": "Germany",
364 "date": "2026-11-18",
365 "name": {
366 "de": "Buße und Gebetstag",
367 "en": "Repentance and Prayer Day",
368 "tr": "Dua ve Tövbe Günü"
369 },
370 "isNational": false,
371 "isReligious": true,
372 "isLocal": true,
373 "isEstimate": false,
374 "day": {
375 "actual": "Wednesday",
376 "observed": "Wednesday"
377 },
378 "religion": "Christianity",
379 "regions": [
380 "SN"
381 ]
382 },
383 {
384 "country_code": "DE",
385 "country_name": "Germany",
386 "date": "2026-12-25",
387 "name": {
388 "de": "Weihnachtstag",
389 "en": "Christmas Day",
390 "tr": "Noel Günü"
391 },
392 "isNational": true,
393 "isReligious": true,
394 "isLocal": false,
395 "isEstimate": false,
396 "day": {
397 "actual": "Friday",
398 "observed": "Friday"
399 },
400 "religion": "Christianity",
401 "regions": []
402 },
403 {
404 "country_code": "DE",
405 "country_name": "Germany",
406 "date": "2026-12-26",
407 "name": {
408 "de": "Zweiter Weihnachtstag",
409 "en": "2nd Day of Christmas",
410 "tr": "Noel'in İkinci Günü"
411 },
412 "isNational": true,
413 "isReligious": true,
414 "isLocal": false,
415 "isEstimate": false,
416 "day": {
417 "actual": "Saturday",
418 "observed": "Saturday"
419 },
420 "religion": "Christianity",
421 "regions": []
422 }
423]
This endpoint retrieves all bank and public holidays for a specific country and year. > šŸŽ—ļø The holidays endpoint supports the query parameters in various combinations. Each of these optional parameters can be chained together to filter the results flexibly. See the below combining multiple filters section for more details. > šŸŽ—ļø The majority of the query parameters accept multiple values in a comma-separated way. ## Examples - Filter out holidays for a specific type (e.g. national): `?country=DE&year=2024&type=national` - Filter out holidays for multiple types (e.g. local or religious): `?country=DE&year=2024&type=local,religious` - Filter out holidays for a specific religion: `?country=BA&year=2024&religion=2` - Filter out holidays for multiple religions: `?country=BA&year=2024&religion=1,2` - Filter out holidays for a specific region: `?country=BA&year=2024&region=BIH` - Filter out holidays for multiple regions: `?country=BA&year=2024&region=BIH,SRP` - Fetch localized holiday names in a specific language: `?country=AT&year=2024&lang=de` - Fetch localized holiday names in multiple languages: `?country=AT&year=2024&lang=de,en,tr` ## Combining Multiple Filters The holidays endpoint supports combining multiple filters to retrieve more complex queries. All the query string parameters that were listed above can be chained together to filter the results flexibly. For example to fetch "local" holidays for "Christianity" in "June" in "BIH" region of Bosnia and Herzegovina as "xml" and in "German" and "Japanese" languages, a query string would be as follows: ``` ?country=BA &year=2024 &month=6 &type=local &region=BIH &religion=2 &response=xml &lang=de,ja ``` ## Holiday Concepts Most of our customers only focus on government/bank holidays. In order to obtain these, your best option is to filter holidays using eitherĀ `national`Ā orĀ `local`Ā parameter. If any of these isĀ `true`, it's very likely that government offices and banks will be closed in a given country. `religious`Ā parameter is typically very useful to identify religious holidays, which in some countries, can be specific to certain religious groups. Unless aĀ `religious`Ā holiday has eitherĀ `national`Ā orĀ `local`Ā attribute also set toĀ `true`, it will very likely be an optional holiday for certain religious groups, or no holiday at all. ## Religion codes | Code | Religion | | --- | --- | | 1 | Christianity | | 2 | Islam | | 3 | Buddhism | | 4 | Confucianism | | 5 | Hinduism | | 6 | Jainism | | 7 | Judaism | | 8 | Sikhism | | 9 | Yazidism | | 10 | Zoroastrianism | | 11 | Baha-i Faith |
Was this page helpful?
Previous

languages

Built with

This endpoint retrieves all bank and public holidays for a specific country and year.

šŸŽ—ļø The holidays endpoint supports the query parameters in various combinations. Each of these optional parameters can be chained together to filter the results flexibly. See the below combining multiple filters section for more details.

šŸŽ—ļø The majority of the query parameters accept multiple values in a comma-separated way.

Examples

  • Filter out holidays for a specific type (e.g. national):
    ?country=DE&year=2024&type=national

  • Filter out holidays for multiple types (e.g. local or religious):
    ?country=DE&year=2024&type=local,religious

  • Filter out holidays for a specific religion:
    ?country=BA&year=2024&religion=2

  • Filter out holidays for multiple religions:
    ?country=BA&year=2024&religion=1,2

  • Filter out holidays for a specific region:
    ?country=BA&year=2024&region=BIH

  • Filter out holidays for multiple regions:
    ?country=BA&year=2024&region=BIH,SRP

  • Fetch localized holiday names in a specific language:
    ?country=AT&year=2024&lang=de

  • Fetch localized holiday names in multiple languages:
    ?country=AT&year=2024&lang=de,en,tr

Combining Multiple Filters

The holidays endpoint supports combining multiple filters to retrieve more complex queries. All the query string parameters that were listed above can be chained together to filter the results flexibly. For example to fetch ā€œlocalā€ holidays for ā€œChristianityā€ in ā€œJuneā€ in ā€œBIHā€ region of Bosnia and Herzegovina as ā€œxmlā€ and in ā€œGermanā€ and ā€œJapaneseā€ languages, a query string would be as follows:

?country=BA
&year=2024
&month=6
&type=local
&region=BIH
&religion=2
&response=xml
&lang=de,ja

Holiday Concepts

Most of our customers only focus on government/bank holidays. In order to obtain these, your best option is to filter holidays using eitherĀ nationalĀ orĀ localĀ parameter. If any of these isĀ true, it’s very likely that government offices and banks will be closed in a given country.

religiousĀ parameter is typically very useful to identify religious holidays, which in some countries, can be specific to certain religious groups. Unless aĀ religiousĀ holiday has eitherĀ nationalĀ orĀ localĀ attribute also set toĀ true, it will very likely be an optional holiday for certain religious groups, or no holiday at all.

Religion codes

CodeReligion
1Christianity
2Islam
3Buddhism
4Confucianism
5Hinduism
6Jainism
7Judaism
8Sikhism
9Yazidism
10Zoroastrianism
11Baha-i Faith

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response headers

:statusstring
nelstring
etagstring
access-control-allow-originstring
cf-cache-statusstring
report-tostring
cf-raystring
alt-svcstring

Response

OK
country_codestring
country_namestring
datedate
nameobject
isNationalboolean
isReligiousboolean
isLocalboolean
isEstimateboolean
dayobject
religionstring
regionslist of any

Errors

401
Unauthorized Error